package com.caimei.model.vo;

import com.caimei.model.po.PromotionsPo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/24
 */
@Data
public class CartProductVo implements Serializable {
    /**
     * 购物车id
     */
    private Integer cartId;

    /**
     * 供应商id
     */
    private Integer shopId;

    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 原采美商品Id
     */
    private Integer originalProductId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String mainImage;

    /**
     * 机构价
     */
    private BigDecimal price;

    /**
     * 规格
     */
    private String unit;

    /**
     * 起订量
     */
    private Integer minBuyNumber;

    /**
     * 启用阶梯价格标识 0否 1是
     */
    private Integer ladderPriceFlag;

    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private Integer includedTax;

    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private Integer invoiceType;

    /**
     * 开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;

    /**
     * 展示价格
     */
    private BigDecimal retailPrice;

    /**
     * 商品是否处于活动状态：1是，空或0不是[活动商品和actFlag含义不同]
     */
    private Integer actStatus;

    /**
     * 商品数量
     */
    private Integer productCount;

    /**
     * 满减金额
     */
    private BigDecimal fullReduction;

    /**
     * 是否是赠品 2是，其他否
     */
    private Integer productType;

    /**
     * 前端选中状态
     */
    private boolean productsChecked = false;

    /**
     * 促销活动
     */
    private PromotionsPo promotion;

    /**
     * 阶梯价格数据
     */
    private List<LadderPriceVo> ladderPriceList;
}

